Bug Hunting Session
Bug 72559 - Pie chart from non contiguous blank
Summary: Pie chart from non contiguous blank
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.2 all versions
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2013-12-10 09:25 UTC by mal
Modified: 2019-07-30 03:16 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Attachment 1 (71.58 KB, image/png)
2013-12-18 14:18 UTC, mal
Details
Attachment 2 (83.09 KB, image/png)
2013-12-18 14:19 UTC, mal
Details
Attachment 3 (101.22 KB, image/png)
2013-12-18 14:46 UTC, mal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mal 2013-12-10 09:25:50 UTC
Enter some non contiguous data
Create a pie chart and click finish
Chart is blank
Click roughly where the chart should be and move it slightly
Chart appears
Comment 1 sophie 2013-12-18 13:56:00 UTC
I mal, I can't reproduce using Version: 4.2.0.0.beta2
Build ID: 1a27be92e320f97c20d581a69ef1c8b99ea9885d under Ubuntu 13.10 64.
Could you tell us what is your system and provide a test document. Thanks - Sophie
Comment 2 mal 2013-12-18 14:18:22 UTC
It does it with any spreadsheet
Open Calc
enter 3 numbers ( as per attached screenshot )
Select them 
Insert / Object /Chart
Default Column chart appears
Select Pie
Click Finish

Spreadsheet looks like attachment 1

Click in the middle of the blank area and drag
the nothingness around a tiny bit. Then the spreadsheet
looks like attachment 2

M

This is openSUSE 13.1, KDE 4.12, Nvidia blob 331.20
Comment 3 mal 2013-12-18 14:18:47 UTC
Created attachment 90925 [details]
Attachment 1
Comment 4 mal 2013-12-18 14:19:09 UTC
Created attachment 90926 [details]
Attachment 2
Comment 5 sophie 2013-12-18 14:31:08 UTC
Thanks for your screenshots, still I cannot reproduce under Ubuntu 13.10, I let the issue on Unconfirmed.
Comment 6 mal 2013-12-18 14:46:34 UTC
I was checking for bug 66327

The 'no chart at all' feature is new and happens only if 
you do exactly as the bug says. If you do the next , next, 
finish from the chart wizard something different happens 
ie bug 66327 is back - see attachment 3
Comment 7 mal 2013-12-18 14:46:58 UTC
Created attachment 90929 [details]
Attachment 3
Comment 8 Jacques Guilleron 2013-12-20 22:12:07 UTC
Hello Mal,

I reproduce with LO 4.3.0.0.alpha0+
Build ID: b1ac01de06262bda39be7f970fbceeda9b267fe4
TinderBox: Win-x86@42, Branch:master, Time: 2013-12-15_08:41:01
& Windows 7 Home Prmeium.

Kind regards,

Jacques
Comment 9 mal 2015-02-27 14:09:44 UTC
This is still in 4.4.1
Comment 10 mal 2015-07-27 14:23:36 UTC
Still in 5.0.0.4
Comment 11 Maxim Monastirsky 2015-07-27 14:32:05 UTC
'Version' field is for the earliest version that confirmed to have the bug.
Comment 12 mal 2015-07-27 14:40:23 UTC
Sorry

Mal
Comment 13 mal 2015-12-01 09:13:13 UTC
Still in 5.1 beta1
Comment 14 QA Administrators 2017-01-03 19:42:34 UTC Comment hidden (obsolete)
Comment 15 mal 2017-01-04 08:29:25 UTC
5.2.4 openSUSE Leap 42.2 it still happens
also in 5.3 beta 2 on same OS
Comment 16 QA Administrators 2018-07-28 02:42:33 UTC Comment hidden (obsolete)
Comment 17 Jacques Guilleron 2018-07-29 08:52:48 UTC
Hi all,

I still reproduce with
LO  6.2.0.0.alpha0+ Build ID: fa881095bc62c3646406c82a98d8503377288a54
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-07-22_03:27:00
Locale: fr-FR (fr_FR); Calc: CL
Comment 18 QA Administrators 2019-07-30 03:16:16 UTC
Dear mal,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug